{% extends "layout.twig" %}
{% block body %}
	<h1>Benvenue sur votre tableau de bord</h1>

	<ul class="nav nav-tabs" id="myTab" role="tablist">
		<li class="nav-item" role="presentation">
			<button class="nav-link active" id="home-tab" data-bs-toggle="tab" data-bs-target="#home" type="button" role="tab" aria-controls="home" aria-selected="true">Home</button>
		</li>
		<li class="nav-item" role="presentation">
			<button class="nav-link" id="profile-tab" data-bs-toggle="tab" data-bs-target="#profile" type="button" role="tab" aria-controls="profile" aria-selected="false">Profile</button>
		</li>
		<li class="nav-item" role="presentation">
			<button class="nav-link" id="article-tab" data-bs-toggle="tab" data-bs-target="#article" type="button" role="tab" aria-controls="article" aria-selected="false">Article</button>
		</li>
	</ul>
	<div class="tab-content" id="myTabContent">
		<div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
			<h3>Bonjour, {{ user.username }}</h3>
			<p>Lorem, Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi vel volutpat ligula. Cras molestie ex mi, finibus eleifend purus varius sit amet. Maecenas hendrerit arcu rutrum turpis dapibus, vel varius urna posuere. Phasellus sollicitudin sodales nisl, sed luctus dui faucibus ut. Phasellus dictum quis turpis quis lacinia. Donec consequat dictum semper.
			</p>
		</div>
		<div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">
			<form action="/users/save-profile" accept-charset="UTF-8" method="POST">

				<input type="hidden" id="userId" value="{{ user._id }}" name="userId" class="form-control">

				<label for="username">First name</label>
				<input type="text" id="firstname" value="{{ user.firstname }}" name="firstname" class="form-control">


				<label for="lastname">Last name</label>
				<input type="text" id="lastname" value="{{ user.lastname }}" name="lastname" class="form-control">

				<label for="username">Username</label>
				<input type="text" id="username" value="{{ user.username }}" name="username" class="form-control">

				<label for="email">Email</label>
				<input type="email" id="email" value="{{ user.email }}" name="email" class="form-control">


				<button type="submit" class="btn btn-success mt-3">Update profile</button>
			</form>

		</div>
		<div class="tab-pane fade" id="article" role="tabpanel" aria-labelledby="article-tab">
			<h3>My Articles</h3>

			{% if articles %}
				<div>
					<a href="/add-article" class="btn btn-primary">Add Article</a>
				</div>

				<div class="row">
					{% for article in articles %}
						<div class="card col-md-3 m-2" style="width: 18rem;">
							<img src="{{article.image}}" class="card-img-top" alt="{{ article.name }}">
							<div class="card-body">
								<h5 class="card-title">{{article.name}}</h5>
								<div class="btn-group">
									<a href="/article/{{ article._id }}" class="btn btn-primary">More Infos</a>
									<a href="/edit-article/{{ article._id }}" class="btn btn-success">Edit</a>
									<button data-bs-toggle="modal" data-bs-target="#deleteArticleModal" class="btn btn-danger">Delete</button>
									<!-- Modal -->
									<div class="modal fade" id="deleteArticleModal" tabindex="-1" aria-labelledby="deleteArticleModalLabel" aria-hidden="true">
										<div class="modal-dialog">
											<div class="modal-content">
												<div class="modal-header">
													<h5 class="modal-title" id="exampleModalLabel">Confirm delete Article</h5>
													<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
												</div>
												<div class="modal-body">
													Are you sure, you want to delete this article ?
												</div>
												<div class="modal-footer">
													<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
													<a href="/delete-article/{{article._id}}" class="btn btn-primary">Confirm</a>
												</div>
											</div>
										</div>
									</div>
								</div>

							</div>
						</div>

					{% endfor %}
				</div>

			{% else %}
				<p>Sorry, you don't have any articles</p>
				<a href="/add-article" class="btn btn-primary">Add Article</a>
			{% endif %}


		</div>


	</div>


{% endblock %}
